package com.ruoyi.kaohe.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.kaohe.mapper.KhTemItemMapper;
import com.ruoyi.kaohe.domain.KhTemItem;
import com.ruoyi.kaohe.service.IKhTemItemService;

/**
 * 模板考核项关联Service业务层处理
 * 
 * @author hs
 * @date 2025-06-17
 */
@Service
public class KhTemItemServiceImpl implements IKhTemItemService 
{
    @Autowired
    private KhTemItemMapper khTemItemMapper;

    /**
     * 查询模板考核项关联
     * 
     * @param id 模板考核项关联主键
     * @return 模板考核项关联
     */
    @Override
    public KhTemItem selectKhTemItemById(Long id)
    {
        return khTemItemMapper.selectKhTemItemById(id);
    }

    /**
     * 查询模板考核项关联列表
     * 
     * @param khTemItem 模板考核项关联
     * @return 模板考核项关联
     */
    @Override
    public List<KhTemItem> selectKhTemItemList(KhTemItem khTemItem)
    {
        return khTemItemMapper.selectKhTemItemList(khTemItem);
    }

    /**
     * 新增模板考核项关联
     * 
     * @param khTemItem 模板考核项关联
     * @return 结果
     */
    @Override
    public int insertKhTemItem(KhTemItem khTemItem)
    {
        return khTemItemMapper.insertKhTemItem(khTemItem);
    }

    /**
     * 修改模板考核项关联
     * 
     * @param khTemItem 模板考核项关联
     * @return 结果
     */
    @Override
    public int updateKhTemItem(KhTemItem khTemItem)
    {
        return khTemItemMapper.updateKhTemItem(khTemItem);
    }

    /**
     * 批量删除模板考核项关联
     * 
     * @param ids 需要删除的模板考核项关联主键
     * @return 结果
     */
    @Override
    public int deleteKhTemItemByIds(Long[] ids)
    {
        return khTemItemMapper.deleteKhTemItemByIds(ids);
    }

    /**
     * 删除模板考核项关联信息
     * 
     * @param id 模板考核项关联主键
     * @return 结果
     */
    @Override
    public int deleteKhTemItemById(Long id)
    {
        return khTemItemMapper.deleteKhTemItemById(id);
    }
}
